import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetInventoryChildListParams, OriginalListParams} from '@models';

export const searchContext = createSearchContext();
export const pageContext = createPageContext();
export const contextState: OriginalListParams<GetInventoryChildListParams> = {
  wllbCode: '',
  name: '',
  uuid: '',
  accountSleeve: '',
};
export const context = createTableSearchContext(contextState);
